Page MenuHomePhabricator

Json_extract available on analytics-store.eqiad.wmnet
Closed, InvalidPublic

Description

Trying to execute json_extract extension brings up an error:

mysql:research@analytics-store.eqiad.wmnet [log]> select json_extract(userAgent, '$device_family') from NavigationTiming_15485142 order by timestamp desc limit 5;
ERROR 1370 (42000): execute command denied to user 'research'@'%' for routine 'log.json_extract'

Not sure if that means extension is not installed, if so, could it be?

Event Timeline

Nuria created this task.Jan 30 2017, 9:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2017, 9:11 PM

research user doesn't appear to have EXECUTE privileges.
Was that working before or is it the first time you've tried to play with that function?

Thanks!

Milimetric added a subscriber: Milimetric.EditedFeb 2 2017, 5:24 PM

It was the first time we tried to use it, it would be very useful if we could get it to work though. Let us know how hard that would be so we can plan.

Milimetric moved this task from Incoming to Dashiki on the Analytics board.Feb 2 2017, 5:24 PM
Milimetric moved this task from Dashiki to Radar on the Analytics board.

That function isn't available on 10.0 or 10.1, but only on 10.2 (https://mariadb.com/kb/en/mariadb/json_extract/) which we do not have in production. We are currently starting to test 10.1 (that is the version we are running on the new labs infrastructure for instance)

Sorry!

Marostegui closed this task as Invalid.Feb 6 2017, 7:47 AM

I will close this for now as we cannot support this on our current MariaDB version.

Any updates on this? With the recent rollout of T153207, which introduced a JSON field to all EventLogging tables, the need for JSON functions has increased considerably (in fact @chelsyx and I were just going to file a MariaDB upgrade request ourselves before discovering this task).

Filed as a new task focusing on the upgrade (since this one had been closed and there was no response here)

Sorry I missed T156681#3195441 but as I said in the previous comment, we were (and are) only evaluating 10.1 for production nowadays. 10.2 doesn't even have a GA yet.